Bug 877088 - VM-runtime-only display information is presented by api after VM goes down
VM-runtime-only display information is presented by api after VM goes down
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity low
: ---
: 3.1.3
Assigned To: Ravi Nori
Ido Begun
infra
: ZStream
Depends On: 869682
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-15 11:43 EST by Idith Tal-Kohen
Modified: 2016-02-10 14:20 EST (History)
13 users (show)

See Also:
Fixed In Version: SI27
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 869682
Environment:
Last Closed: 2013-04-04 12:06:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Idith Tal-Kohen 2012-11-15 11:43:25 EST
+++ This bug was initially created as a clone of Bug #869682 +++

Description of problem:
VM-runtime-only display information is presented by api after VM goes down

Version-Release number of selected component (if applicable):
si19.1 / 3.1.0-18

How reproducible:
always

Steps to Reproduce:
1. power up VM, power down VM
2. show VM properties
3.
  
Actual results:
    <status>
        <state>down</state>
    </status>
    ...
    <display>
        ...
        <address>10.34.58.5</address>
        <port>5920</port>
        <secure_port>5921</secure_port>
        ...
    </display>


Expected results:
no address, port and secure_port elements are displayed as they make no sense when the VM is down. The same may be true for <start_time> element possibly.

Additional info:

--- Additional comment from Ravi Nori on 2012-11-06 12:49:33 EST ---

link : http://gerrit.ovirt.org/#/c/9090/

hash: 032603c9bc4e670c75aa68e87406b044d59e5819

--- Additional comment from Ravi Nori on 2012-11-06 12:51:58 EST ---

Change id: Ie36fa8049c8ddad483e7e16f13a3d0a029f8f218
Comment 1 Ido Begun 2013-02-11 09:03:02 EST
OK - SI27

Display address, port, secure port and start time are no longer displayed when VM is down.

Note You need to log in before you can comment on or make changes to this bug.